<?php


namespace MyApp\Service;

use MyApp\Model\GroupsModel;
use Exception;

class GroupsService
{
    /**
     * @return GroupsModel[]|null
     *
     * @throws Exception
     */
    public function getTableData(): ? array
    {
        $models = GroupsModel::find(null,null,'1 = 1');

        return $models;
    }

    public function getGroup($id): ? GroupsModel
    {
        /** @var GroupsModel[] $model */
        $model = GroupsModel::find([$id],null,null,[],'','1');

        if (!empty($model)){
            return $model[0];
        }

        return null;
    }
}